Main Page Widgets Namespaces Book

# Gtk::HScrollbar Class Reference
[Widgets]

A horizontal scrollbar. More...

Inheritance diagram for Gtk::HScrollbar:

[legend]
List of all members.

## Public Methods

virtual | ~HScrollbar ()
GtkHScrollbar* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHScrollbar* | gobj () const
| Provides access to the underlying C GtkObject.
| HScrollbar ()
| HScrollbar (Adjustment& gtkadjustment)

## Related Functions

(Note that these are not member functions.)
Gtk::HScrollbar* | wrap (GtkHScrollbar* object, bool take_copy=false)

## Detailed Description

A horizontal scrollbar.

The Gtk::HScrollbar widget is a widget arranged horizontally creating a scrollbar. See Gtk::Scrollbar for details on scrollbars.

A Gtk::Adjustment may may be passed to the constructor to handle the adjustment of the scrollbar. If not specified, one will be created for you. See Gtk::Adjustment for details.

## Constructor & Destructor Documentation

virtual Gtk::HScrollbar::~HScrollbar | ( |  | ) | `[virtual]`

Gtk::HScrollbar::HScrollbar | ( |  | ) |

Gtk::HScrollbar::HScrollbar | ( | Adjustment& | gtkadjustment | ) | `[explicit]`

## Member Function Documentation

const GtkHScrollbar* Gtk::HScrollbar::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scrollbar.

GtkHScrollbar* Gtk::HScrollbar::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scrollbar.

## Friends And Related Function Documentation

Gtk::HScrollbar* wrap | ( | GtkHScrollbar* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- scrollbar.h